Bug 103925 - Freeze-ups, CPU-munching, etc while using "screen" over ssh in gnome-terminal
Summary: Freeze-ups, CPU-munching, etc while using "screen" over ssh in gnome-terminal
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-07 19:04 UTC by Vic Gedris
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 22:56:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vic Gedris 2003-09-07 19:04:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Gnome-terminal works great for me, except under one specific area:  When I ssh
to my Debian box, and attach to my "mutt" session with "screen", I encounter
various problems:
- The window can go all funny, with characters disappearing or colours showing
up in odd places.  I fix this by detaching from screen then re-ataching.
- It will freeze up for a few seconds or minutes, with the CPU chugging away on
something.  It usually recovers from this, but sometimes it seems to go forever
(at least until my patience is gone).  None of the gnome-terminal tabs are
responsive during this.

This problem is guaranteed to happen to me within a few minutes of using
gnome-terminal to read my email.

This doesn't seem to be a Debian or screen problem.  It only happens when I'm
doing this with gnome-terminal from my Redhat 9 laptop.  Using xterm, or
accessing it from any other computer works 100% of the time.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. SSH into my desktop machine (Debian Testing) from my Redhat 9 laptop.
2. Attach to my "mutt" session with "screen -dr mutt"
3. Read some email...write email, whatever.  After a little bit, the problems I
mentioned start to happen.
    

Actual Results:  Seemingly random lockups and CPU munching, strange window
rewrites, etc.

Expected Results:  Should be able to read my email like normal...

Additional info:

This system is completely "up2date"

[vic@strummer vic]$ rpm -q gnome-terminal
gnome-terminal-2.2.1-3

Not sure what else to tell you.  Will gladly provide additional feedback if
requested.

Comment 1 Ray Strode [halfline] 2004-11-10 22:56:54 UTC
Hi,

This bug is quite old now.  Given the lack of activity on this report and the
likelihood that this bug has already been fixed, I am going to close it.  If you
encounter the problem discussed in this report with Fedora Core 3 or a recent
version of gnome-terminal/vte, feel free to reopen.

Thanks

Comment 2 Warren Togami 2005-03-29 08:05:53 UTC
old


Note You need to log in before you can comment on or make changes to this bug.